<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Source/Polyline.h.html -->
<!-- this view was generated by Source -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Polyline.h</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Source">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
File: <b >Polyline.h</b><pre class="sxr"><a id="line1"></a><span class="lineno"> 1</span><span class="line">#ifndef Polyline_h_</span>
<a id="line2"></a><span class="lineno"> 2</span><span class="line">#define Polyline_h_</span>
<a id="line3"></a><span class="lineno"> 3</span>
<a id="line4"></a><span class="lineno"> 4</span><span class="line">#include &quot;Path.h&quot;</span>
<a id="line5"></a><span class="lineno"> 5</span><span class="line">#include &lt;vector&gt;</span>
<a id="line6"></a><span class="lineno"> 6</span>
<a id="line7"></a><span class="lineno"> 7</span><span class="line"><span class="keyword">namespace</span> <a href="../Scopes/Paths.html" title="namespace Paths">Paths</a></span>
<a id="line8"></a><span class="lineno"> 8</span><span class="line">{</span>
<a id="line9"></a><span class="lineno"> 9</span>
<a id="line10"></a><span class="lineno">10</span><span class="line"><span class="comment">// The Polyline class. It is an ordered set of</span></span>
<a id="line11"></a><span class="lineno">11</span><span class="line"><span class="comment">// connected line segments.</span></span>
<a id="line12"></a><span class="lineno">12</span><span class="line"><span class="keyword">class</span> <a href="../Scopes/Paths/Polyline.html" title="class Paths::Polyline">Polyline</a> : <span class="keyword">public</span> <a href="../Scopes/Path.html" title="class Path">Path</a></span>
<a id="line13"></a><span class="lineno">13</span><span class="line">{</span>
<a id="line14"></a><span class="lineno">14</span><span class="line"><span class="keyword">public</span>:</span>
<a id="line15"></a><span class="lineno">15</span><span class="line">  <span class="comment">// Create a new Polyline.</span></span>
<a id="line16"></a><span class="lineno">16</span><span class="line"><span class="comment">  //</span></span>
<a id="line17"></a><span class="lineno">17</span><span class="line">  <a href="../Scopes/Paths/Polyline.html#Polyline_l_r" title="member function Paths::Polyline::Polyline()">Polyline</a>();</span>
<a id="line18"></a><span class="lineno">18</span><span class="line">  <span class="comment">// @group Manipulators {</span></span>
<a id="line19"></a><span class="lineno">19</span>
<a id="line20"></a><span class="lineno">20</span><span class="line">  <span class="comment">// Add a new vertex.</span></span>
<a id="line21"></a><span class="lineno">21</span><span class="line">  <span class="keyword">void</span> <a href="../Scopes/Paths/Polyline.html#add_vertex_lconst.Vertex_A_r" title="member function Paths::Polyline::add_vertex(const Vertex&amp;)">add_vertex</a>(<span class="keyword">const</span> <a href="../Scopes/Vertex.html" title="struct Vertex">Vertex</a> &amp;);</span>
<a id="line22"></a><span class="lineno">22</span><span class="line">  <span class="comment">// Remove the vertex at index i.</span></span>
<a id="line23"></a><span class="lineno">23</span><span class="line">  <span class="keyword">void</span> <a href="../Scopes/Paths/Polyline.html#remove_vertex_lsize_t_r" title="member function Paths::Polyline::remove_vertex(size_t)">remove_vertex</a>(<a href="" title="typedef size_t">size_t</a> i);</span>
<a id="line24"></a><span class="lineno">24</span><span class="line">  <span class="comment">// }</span></span>
<a id="line25"></a><span class="lineno">25</span><span class="line">  virtual <span class="keyword">void</span> <a href="../Scopes/Paths/Polyline.html#draw_l_r" title="member function Paths::Polyline::draw()">draw</a>();</span>
<a id="line26"></a><span class="lineno">26</span><span class="line"><span class="keyword">private</span>:</span>
<a id="line27"></a><span class="lineno">27</span><span class="line">  <span class="comment">// The data...</span></span>
<a id="line28"></a><span class="lineno">28</span><span class="line">  std::<a href="" title="class std::vector">vector</a>&lt;<a href="../Scopes/Vertex.html" title="struct Vertex">Vertex</a>&gt; <a href="../Scopes/Paths/Polyline.html#vertices_" title="data member Paths::Polyline::vertices_">vertices_</a>;</span>
<a id="line29"></a><span class="lineno">29</span><span class="line">};</span>
<a id="line30"></a><span class="lineno">30</span>
<a id="line31"></a><span class="lineno">31</span><span class="line">}</span>
<a id="line32"></a><span class="lineno">32</span>
<a id="line33"></a><span class="lineno">33</span><span class="line">#endif</span>
</pre>
<div class="logo">Generated on Fri Apr 17 08:48:13 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
